/* This is the main CSS file for the website. It's the entire reason it doesn't look like shit. */
/* Inspecting the Elements I see? Well, go on then. Can't stop ya. */
/* This code, does, infact, suck. Don't bug me about it. I said I liked coding, not that I was good at it. */



/* Stripes Animation Code. Don't fuck with it, I have no idea how it works. */

@layer stripebase {
  @keyframes slide {
    from {
      transform: TranslateX(0);
    }
    to {
      transform: TranslateX(128px);
    }
  }
  body {
    position: relative;
    overflow-x: hidden;
    margin-top: 0;

  }
  body > * {
    isolation: isolate;
  }
  body::before {
    position: fixed;
    margin-top: 0;
    padding: 0;
    top: 0;
    right: 0px;
    height: 100%;
    min-height: 100vh;
    width: calc(100% + 138px);
    content: "";
    background: linear-gradient(-45deg, #feb47b 0% 25%, #ff7e5f 25% 50%, #feb47b 50% 75%, #ff7e5f 75% 100%);
    background-size: 128px 128px;
    image-rendering: pixelated;
    animation: slide 1s infinite linear;
  }
}



/* Mobile/Thin Screen Styling. Very buggy, needs more testing! */

@media screen and (width <= 1100px) {
  #mainlogo {
    bottom: 17vw;
  }
  #logotexttop {
    font-size: 6vw;
  }
}

@media screen and (width <= 1000px) {
  #mainlogo {
    bottom: 18vw;
  }
}

@media screen and (width <= 900px) {
  #mainlogo {
    bottom: 19vw;
  }
  #logotexttop {
    font-size: 7vw;
  }
}

@media screen and (width <= 800px) {
  #mainlogo {
    bottom: 19vw;
  }
  #logotexttop {
    font-size: 8vw;
  }
  #waylogo {
    position: relative;
  }
  #waypaper {
    margin-left: 5vw;
  }
  #wayimage {
    position: relative;
    left: 33vw;
    margin-left: 5vw;
  }
}

@media screen and (width <= 700px) {
  #mainlogo {
    bottom: 19vw;
  }
  #logotexttop {
    font-size: 9vw;
  }
  #waylogo {
    position: relative;
    margin-bottom: 5vw;
  }
  #waypaper {
    margin-left: 7vw;
  }
  #wayimage {
    position: relative;
    left: 39vw;
    margin-left: 6vw;
  }
}



/* Main Website Styling */
/* Can you tell I'm not good at this? */
/* If anyone complains about using IDs as selectors I WILL kill that person. */

@layer content {
  .container {
    display: flex;
    image-rendering: pixelated;
    font-family: 'Montserrat', 'Arial', 'sans-serif';
    justify-content: center;
    }
  #logopaper {
    position: relative;
    z-index: 0;
  }
  #mainlogo {
    position: relative;
    bottom: 14vw;
    z-index: 1;
  }
  #logotexttop {
    position: relative;
    top: 30px;
    text-align: center;
    font-size: 5vw;
  }
  .site {
    position: relative;
    bottom: 15vw;
  }
  #waypaper {
    float: right;
    margin-left: 20px;
    margin-bottom: -200px;
    position: relative;
    bottom: 80px;
  }
  #wayimage {
    float: right;
    margin-left: -200px;
    margin-bottom: -200px;
    position: relative;
    left: 250px;
    bottom: 80px;
  }
  .whythissite {
    text-align: right;
    position: relative;
    top: 90px;
  }
  #wtslogo {
    text-align: left;
    position: relative;
    margin: auto;
  }
  #wtspaper {
    margin: auto;
    position: relative;
    float: left;
    margin-top: -50px;
  }
  #wtsimage {
    margin: auto;
    position: relative;
    right: 230px;
    float: left;
    margin-top: -50px;
    margin-right: -240px;
  }
  .credits {
    position: relative;
    top: 120px;
    text-align: center;
  }
  #creditsmain {
    font-size: 52px;
    margin-bottom: 20px;
  }
}

/* You reached the end! 
.....
.........
............
Feels... empty... down here, huh?
I'm not sure how I ended up in this myself.
I guess... life just has a way.
One moment, you're on top of the world
The other, you're scouring inside someone's bad code,
pretending to be them
mimicking their every move
bit
by
bit
...
I'm stuck, but not alone.
See, you're reading this right now.
Heard it from a friend, 
or you happen to be a website investigator,
doesn't matter now, does it?
You're here now.
As for my situation?
Not much you can do there, really.
Besides, if I were you, 
I'd be a little more cautious.

Sometimes...
Sometimes some people...
shouldn't be saved
And considering
your matter of existence
it would be wise to back away
run away
very fast
very far





i am here for a reason



*/